# IMFParameterComponentPart Struct Reference
[MCFrame]

Inheritance diagram for IMFParameterComponentPart:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | SetParameterComponent (IShParameterComponent *inComponent, boolean redraw, IMFPart *overridePart)=0
virtual void MCCOMAPI | GetParameterComponent (IShParameterComponent **outComponent)=0
virtual void MCCOMAPI | GetMVComponents (TMCPtrArray< IShParameterComponent > &outComponents)=0
| For use in Multivalue mode.
virtual boolean MCCOMAPI | UpdateComponentsFromPart ()=0
virtual void MCCOMAPI | UpdatePartFromComponents (boolean forceRedraw)=0
virtual void MCCOMAPI | SetUseMiniPart (boolean inUseMiniPart)=0
virtual boolean MCCOMAPI | GetUseMiniPart ()=0

## Detailed Description

Interface for a Parameter Component part. This interface allows the connection between a Part and the parameter list of a component. The part can have an alternate "Mini" view for compact representation. In MultiValueMode, SetParameterComponent will accumulate the components (like SetValue with kComponentValueType)

## Member Function Documentation

virtual void MCCOMAPI IMFParameterComponentPart::GetMVComponents | ( | TMCPtrArray< IShParameterComponent > & | outComponents | ) | `[pure virtual]`

For use in Multivalue mode.

virtual void MCCOMAPI IMFParameterComponentPart::GetParameterComponent | ( | IShParameterComponent ** | outComponent | ) | `[pure virtual]`

virtual boolean MCCOMAPI IMFParameterComponentPart::GetUseMiniPart | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFParameterComponentPart::SetParameterComponent | ( | IShParameterComponent * | inComponent,
|  | boolean | redraw,
|  | IMFPart * | overridePart |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFParameterComponentPart::SetUseMiniPart | ( | boolean | inUseMiniPart | ) | `[pure virtual]`

virtual boolean MCCOMAPI IMFParameterComponentPart::UpdateComponentsFromPart | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFParameterComponentPart::UpdatePartFromComponents | ( | boolean | forceRedraw | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IMFParameterPart.h